# PXMLData Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLData:

List of all members.

## Public Member Functions

| PXMLData (PXMLElement *parent, const PString &data)
| PXMLData (PXMLElement *parent, const char *data, int len)
PBoolean | IsElement () const
void | SetString (const PString &str, bool dirty=true)
PString | GetString () const
void | Output (ostream &strm, const PXMLBase &xml, int indent) const
PXMLObject * | Clone (PXMLElement *parent) const

## Protected Attributes

PString | value

## Constructor & Destructor Documentation

PXMLData::PXMLData | ( | PXMLElement * | parent,
|  | const PString & | data |
| ) |  |  |

PXMLData::PXMLData | ( | PXMLElement * | parent,
|  | const char * | data,
|  | int | len |
| ) |  |  |

## Member Function Documentation

PXMLObject* PXMLData::Clone | ( | PXMLElement * | parent | ) | const`[virtual]`

Implements PXMLObject.

PString PXMLData::GetString | ( |  | ) | const`[inline]`

PBoolean PXMLData::IsElement | ( |  | ) | const`[inline, virtual]`

Implements PXMLObject.

void PXMLData::Output | ( | ostream & | strm,
|  | const PXMLBase & | xml,
|  | int | indent |
| ) |  |  | const`[virtual]`

Implements PXMLObject.

void PXMLData::SetString | ( | const PString & | str,
|  | bool | dirty = `true` |
| ) |  |  |

## Member Data Documentation

PString PXMLData::value `[protected]`

The documentation for this class was generated from the following file:

- pxml.h